---
language: ruby
script:
  - "bundle exec rake lint spec SPEC_OPTS='--format documentation'"
sudo: false
matrix:
  include:
  # Debian 7
  - rvm: 1.8.7
    env: PUPPET_GEM_VERSION="~> 2.7.23" FACTER_GEM_VERSION="~> 1.6.10"
  # Debian 8
  - rvm: 2.1.2
    env: PUPPET_GEM_VERSION="~> 3.7.2" FACTER_GEM_VERSION="~> 2.2.0"
  # Puppet 3.1 with Ruby 1.9.3
  - rvm: 1.9.3
    env: PUPPET_GEM_VERSION="~> 3.1.0"
  # recent
  - rvm: 2.1.2
    env: STRICT_VARIABLES="yes"
  # puppet 4 AIO
  - rvm: 2.1.4
    env: STRICT_VARIABLES="yes"

notifications:
  email:
    - al@lab42.it
